Bug 192118 - misc/freebsd-doc-es: why require chinese/arphicttf, chinese/ttfm, japanese/font-ipa...
Summary: misc/freebsd-doc-es: why require chinese/arphicttf, chinese/ttfm, japanese/fo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Document Engineering Group (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-25 18:59 UTC by Toni Ballesta
Modified: 2018-01-22 13:10 UTC (History)
2 users (show)

See Also:


Attachments
possible-freebsd-doc-en_Makefile (3.38 KB, text/plain)
2018-01-15 03:12 UTC, Walter Schwarzenfeld
no flags Details
possible-freebsd-doc-en_Makefile_v2 (3.45 KB, text/plain)
2018-01-15 03:27 UTC, Walter Schwarzenfeld
no flags Details
Draft of a patch (2.89 KB, patch)
2018-01-20 16:17 UTC, Marc Fonvieille
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toni Ballesta 2014-07-25 18:59:39 UTC
Why require Spanish documentation these chinese and japanese fonts?

Desc for arphicttf: "Four Chinese Big5/GB TrueType fonts made by Arphic Technology"
Comment 1 John Marino freebsd_committer 2014-07-25 20:10:56 UTC
over to maintainer.
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-10 07:45:14 UTC
A question that never got an answer. So I think let's close here. 
(In german we said for something ununderstandable "Spanisches Dorf" this here is a "chinese village" ;-))
Comment 3 Toni Ballesta 2018-01-14 16:27:55 UTC
(In reply to w.schwarzenfeld from comment #2)
Spain, day after day, is less for spanish people. Is sad, very sad, but is like that.

If I try download the binary (es-freebsd-doc), this doesn't download any new dependency:

---------------------
% sudo pkg install es-freebsd-doc
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
The following 1 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
	es-freebsd-doc: 51152,1

Number of packages to be installed: 1

The process will require 28 MiB more space.
8 MiB to be downloaded.

Proceed with this action? [y/N]:
---------------------

But building the package in question (freebsd-doc-es, is the same that the other?) and without altering default options, resolves these dependencies:

---------------------
% sudo portmaster -dB misc/freebsd-doc-es
(...)

===>>> misc/freebsd-doc-es >> (23)

===>>> The following actions will be taken if you choose to proceed:
	Install misc/freebsd-doc-es
	Install chinese/arphicttf
	Upgrade pkg-1.10.3_1 to pkg-1.10.4
	Install japanese/font-ipa
	Install korean/nanumfonts-ttf
	Install archivers/p7zip
	Install textproc/docproj
	Install graphics/netpbm
	Install graphics/peps
	Install graphics/scr2png
	Install textproc/docbook-xsl-ns
	Install textproc/html2text
	Install textproc/igor
	Install textproc/iso-schematron-xslt
	Install textproc/itstool
	Install textproc/p5-XML-Parser
	Install textproc/scr2txt
	Install textproc/xhtml
	Upgrade links-2.13,1 to links-2.14_1,1
	Install textproc/fop
	Install devel/apache-ant
	Install x11-fonts/droid-fonts-ttf
	Install x11-fonts/gentium-plus
	Install x11-fonts/lohit

===>>> Proceed? y/n [y] n (obviously!!!)
---------------------

I'm not sure if "es-freebsd-doc" and "freebsd-doc-es" are the same, but all these dependencies for build the documentation package are incomprehensible...

Regards.
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-01-15 02:14:39 UTC
It is a dependency in masasterdir (/usr/ports/misc/freebsd-doc-en/Makefile),

BUILD_DEPENDS+= fop:textproc/fop \
                ${LOCALBASE}/share/fonts/GentiumPlus/GentiumPlus-R.ttf:x11-fonts/gentium-plus \
                ${LOCALBASE}/share/fonts/Droid/DroidSans.ttf:x11-fonts/droid-fonts-ttf \
                ${LOCALBASE}/share/fonts/Lohit/Lohit-Bengali.ttf:x11-fonts/lohit \
                ${LOCALBASE}/share/fonts/dejavu/DejaVuSansMono.ttf:x11-fonts/dejavu \
                ${LOCALBASE}/share/fonts/TrueType/gkai00mp.ttf:chinese/arphicttf \
                ${LOCALBASE}/share/fonts/OTF/ipam.otf:japanese/font-ipa \
                ${LOCALBASE}/share/fonts/nanum-ttf/NanumBarunGothic.ttf:korean/nanumfonts-ttf
.endif
Comment 5 Walter Schwarzenfeld freebsd_triage 2018-01-15 02:15:16 UTC
should be masterdir.
Comment 6 Walter Schwarzenfeld freebsd_triage 2018-01-15 02:19:53 UTC
Forgot only if PS or PDF option is on.
Comment 7 Walter Schwarzenfeld freebsd_triage 2018-01-15 03:12:16 UTC
Created attachment 189730 [details]
possible-freebsd-doc-en_Makefile
Comment 8 Walter Schwarzenfeld freebsd_triage 2018-01-15 03:13:09 UTC
Maybe, there is anywhere in the text an example with chinese letters? I don't know.
If it is not so, the attached Makefile could a possible solution.
Comment 9 Walter Schwarzenfeld freebsd_triage 2018-01-15 03:27:20 UTC
Created attachment 189731 [details]
possible-freebsd-doc-en_Makefile_v2

Group the options.
Comment 10 Marc Fonvieille freebsd_committer 2018-01-20 16:17:49 UTC
Created attachment 189932 [details]
Draft of a patch

Hello,

I think the attached patch should be a better solution, i.e., the localized fonts are added into localized Makefiles.

Marc
Comment 11 commit-hook freebsd_committer 2018-01-22 13:08:39 UTC
A commit references this bug:

Author: blackend
Date: Mon Jan 22 13:07:48 UTC 2018
New revision: 459649
URL: https://svnweb.freebsd.org/changeset/ports/459649

Log:
  Update to r51391 of the FreeBSD docset.
  Move dependencies on non-english fonts to localized Makefiles [1]

  PR:		192118 [1]
  Submitted by:	Toni Ballesta <info@aballesta.es>

Changes:
  head/misc/freebsd-doc-all/Makefile
  head/misc/freebsd-doc-bn/Makefile
  head/misc/freebsd-doc-en/Makefile
  head/misc/freebsd-doc-en/distinfo
  head/misc/freebsd-doc-ja/Makefile
  head/misc/freebsd-doc-ko/Makefile
  head/misc/freebsd-doc-zh_cn/Makefile
  head/misc/freebsd-doc-zh_tw/Makefile
Comment 12 Marc Fonvieille freebsd_committer 2018-01-22 13:10:58 UTC
Should be fixed with r459649.
Thanks for the report!

Marc